Regulatory Compliance Standards - List
Supported regulatory compliance standards details and state
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Security/regulatoryComplianceStandards?api-version=2019-01-01-preview
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Security/regulatoryComplianceStandards?api-version=2019-01-01-preview&$filter={$filter}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
$filter
|
query |
string |
OData filter. Optional. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get all supported regulatory compliance standards details and state
Sample request
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/regulatoryComplianceStandards?api-version=2019-01-01-preview
Sample response
{
"value": [
{
"name": "PCI-DSS-3.2",
"type": "Microsoft.Security/regulatoryComplianceStandard",
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/regulatoryComplianceStandards/PCI-DSS-3.2",
"properties": {
"failedControls": 4,
"passedControls": 7,
"skippedControls": 0,
"state": "Failed",
"unsupportedControls": 0
}
},
{
"name": "ISO-27001",
"type": "Microsoft.Security/regulatoryComplianceStandard",
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/regulatoryComplianceStandards/ISO-27001",
"properties": {
"failedControls": 0,
"passedControls": 0,
"skippedControls": 10,
"state": "Skipped",
"unsupportedControls": 0
}
},
{
"name": "AZURE-CIS",
"type": "Microsoft.Security/regulatoryComplianceStandard",
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/regulatoryComplianceStandards/AZURE-CIS",
"properties": {
"failedControls": 0,
"passedControls": 0,
"skippedControls": 0,
"state": "Unsupported",
"unsupportedControls": 0
}
},
{
"name": "SOC-TSP",
"type": "Microsoft.Security/regulatoryComplianceStandard",
"id": "/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/providers/Microsoft.Security/regulatoryComplianceStandards/SOC-TSP",
"properties": {
"failedControls": 0,
"passedControls": 15,
"skippedControls": 0,
"state": "Passed",
"unsupportedControls": 0
}
}
]
}
Definitions
| Name | Description |
|---|---|
|
Common. |
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.). |
|
Common. |
The error detail. |
|
created |
The type of identity that created the resource. |
|
Error |
The resource management error additional info. |
|
Regulatory |
Regulatory compliance standard details and state |
|
Regulatory |
List of regulatory compliance standards response |
| State |
Aggregative state based on the assessment's scanned resources states |
|
system |
Metadata pertaining to creation and last modification of the resource. |
Common.CloudError
Common error response for all Azure Resource Manager APIs to return error details for failed operations. (This also follows the OData error response format.).
| Name | Type | Description |
|---|---|---|
| error.additionalInfo |
The error additional info. |
|
| error.code |
string |
The error code. |
| error.details |
The error details. |
|
| error.message |
string |
The error message. |
| error.target |
string |
The error target. |
Common.CloudErrorBody
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
RegulatoryComplianceStandard
Regulatory compliance standard details and state
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.failedControls |
integer (int32) |
The number of supported regulatory compliance controls of the given standard with a failed state |
| properties.passedControls |
integer (int32) |
The number of supported regulatory compliance controls of the given standard with a passed state |
| properties.skippedControls |
integer (int32) |
The number of supported regulatory compliance controls of the given standard with a skipped state |
| properties.state |
Aggregative state based on the standard's supported controls states |
|
| properties.unsupportedControls |
integer (int32) |
The number of regulatory compliance controls of the given standard which are unsupported by automated assessments |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
RegulatoryComplianceStandardList
List of regulatory compliance standards response
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
The link to the next page of items |
| value |
The RegulatoryComplianceStandard items on this page |
State
Aggregative state based on the assessment's scanned resources states
| Value | Description |
|---|---|
| Passed |
All supported regulatory compliance controls in the given standard have a passed state |
| Failed |
At least one supported regulatory compliance control in the given standard has a state of failed |
| Skipped |
All supported regulatory compliance controls in the given standard have a state of skipped |
| Unsupported |
No supported regulatory compliance data for the given standard |
| On |
Send notification on new alerts to the subscription's admins |
| Off |
Don't send notification on new alerts to the subscription's admins |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |